## python-django-crispy-forms-foundation 0.8.0+ds

=== Makefile ===
PYTHON_INTERPRETER=python3
VENV_PATH=.venv
PIP=$(VENV_PATH)/bin/pip
DJANGO_MANAGE=$(VENV_PATH)/bin/python sandbox/manage.py
FLAKE=$(VENV_PATH)/bin/flake8
PYTEST=$(VENV_PATH)/bin/pytest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo
	@echo "  install             -- to install this project with virtualenv and Pip"
	@echo ""
	@echo "  clean               -- to clean EVERYTHING"
	@echo "  clean-data          -- to clean data (uploaded medias, database, etc..)"
	@echo "  clean-install       -- to clean installation"
	@echo "  clean-pycache       -- to remove all __pycache__, this is recursive from current directory"
	@echo ""
	@echo "  migrate             -- to apply demo database migrations"
	@echo "  run                 -- to run Django development server for demo"
	@echo "  shell               -- to run Django shell"
	@echo "  superuser           -- to create a superuser for Django admin"
	@echo ""
	@echo "  flake               -- to launch Flake8 checking"
	@echo "  tests               -- to launch tests using Pytest"
	@echo "  quality             -- to launch Flake8 checking and Pytest"
	@echo

clean-pycache:
	rm -Rf .pytest_cache
	find . -type d -name "__pycache__"|xargs rm -Rf
	find . -name "*\.pyc"|xargs rm -f
.PHONY: clean-pycache

clean-install:
	rm -Rf $(VENV_PATH)
	rm -Rf .tox
	rm -Rf crispy_forms_foundation.egg-info
.PHONY: clean-install

clean-data:
	rm -Rf data
.PHONY: clean-data

clean: clean-install clean-pycache clean-data
.PHONY: clean

venv:
	virtualenv -p $(PYTHON_INTERPRETER) $(VENV_PATH)
	# This is required for those ones using ubuntu<16.04
	$(PIP) install --upgrade pip
	$(PIP) install --upgrade setuptools
.PHONY: venv

migrate:
	mkdir -p data/db
	$(DJANGO_MANAGE) migrate
.PHONY: migrate

shell:
	$(DJANGO_MANAGE) shell
.PHONY: shell

superuser:
	$(DJANGO_MANAGE) createsuperuser
.PHONY: superuser

install: venv
	mkdir -p data
	$(PIP) install -e .[dev]
	${MAKE} migrate
.PHONY: install

run:
	$(DJANGO_MANAGE) runserver 0.0.0.0:8001
.PHONY: run

flake:
	$(FLAKE) --show-source crispy_forms_foundation
.PHONY: flake

tests:
	$(PYTEST) -vv tests/
.PHONY: tests

quality: tests flake
.PHONY: quality

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext livehtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  livehtml   to watch a Sphinx directory and rebuild the documentation when a change is detected (require sphinx-autobuild)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/crisp-form-foundation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/crisp-form-foundation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/crisp-form-foundation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/crisp-form-foundation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

livehtml:
	sphinx-autobuild --host 0.0.0.0 --port 8002 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== docs/requirements.txt ===
Django>=2.1
crispy-forms-foundation

=== debian/changelog ===
python-django-crispy-forms-foundation (0.8.0+ds-1) unstable; urgency=medium

  * Upload to unstable
  * [472bfd4] d/control: Bump Standards-Version to 4.6.0
  * [27cafbe] d/control: Drop obsolete field Testsuite
  * [b58e991] d/control: Mark the -doc package Multi-Arch: foreign
  * [e78b96c] d/copyright: Drop Files-Excluded entry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Sep 2021 23:09:12 +0200

python-django-crispy-forms-foundation (0.8.0+ds-1~exp2) experimental; urgency=medium

  * [08f433d] d/control: Add python3-setuptools to Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 May 2021 12:47:24 +0200

python-django-crispy-forms-foundation (0.8.0+ds-1~exp1) experimental; urgency=medium

  * [5065405] New upstream version 0.8.0+ds
  * [a8e67e4] First and basic Debianization (Closes: #988971)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 May 2021 09:48:28 +0200

=== debian/control ===
Source: python-django-crispy-forms-foundation
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-django-crispy-forms,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
Homepage: https://github.com/sveetch/crispy-forms-foundation

Package: python3-django-crispy-forms-foundation
Architecture: all
Depends:
 python3-django,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-crispy-forms-foundation-doc,
Description: Django-crispy-forms layout objects for Foundation for sites (Python3 version)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the Python 3 version of the library.

Package: python-django-crispy-forms-foundation-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django-crispy-forms layout objects for Foundation for sites (Documentation)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-crispy-forms-foundation
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-crispy-forms-foundation-doc/usr/share/doc/python-django-crispy-forms-foundation-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

=== debian/watch ===
# watch file for crispy-forms-foundation

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-crispy-forms-foundation-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/sveetch/crispy-forms-foundation.git \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## python-django-crispy-forms-foundation 0.9.0+ds

=== Makefile ===
PYTHON_INTERPRETER=python3
VENV_PATH=.venv
PIP=$(VENV_PATH)/bin/pip
DJANGO_MANAGE=$(VENV_PATH)/bin/python sandbox/manage.py
FLAKE=$(VENV_PATH)/bin/flake8
SPHINX_RELOAD=$(VENV_PATH)/bin/python sphinx_reload.py
PYTEST=$(VENV_PATH)/bin/pytest
TOX=$(VENV_PATH)/bin/tox
TWINE=$(VENV_PATH)/bin/twine

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo
	@echo "  install             -- to install this project with virtualenv and Pip"
	@echo ""
	@echo "  clean               -- to clean EVERYTHING"
	@echo "  clean-data          -- to clean data (uploaded medias, database, etc..)"
	@echo "  clean-doc           -- to remove documentation builds"
	@echo "  clean-install       -- to clean installation"
	@echo "  clean-pycache       -- to remove all __pycache__, this is recursive from current directory"
	@echo ""
	@echo "  migrate             -- to apply demo database migrations"
	@echo "  run                 -- to run Django development server for demo"
	@echo "  shell               -- to run Django shell"
	@echo "  superuser           -- to create a superuser for Django admin"
	@echo
	@echo "  docs                -- to build documentation"
	@echo
	@echo "  flake               -- to launch Flake8 checking"
	@echo "  test               -- to launch tests using Pytest"
	@echo "  tox                 -- to launch tests for every Tox environments"
	@echo "  quality             -- to launch Flake8 checking and Pytest"
	@echo
	@echo "  check-release       -- to check package release before uploading it to PyPi"
	@echo "  release             -- to release package for latest version on PyPi (once release has been pushed to repository)"
	@echo

clean-pycache:
	@echo ""
	@echo "==== Clear Python cache ===="
	@echo ""
	rm -Rf .pytest_cache
	find . -type d -name "__pycache__"|xargs rm -Rf
	find . -name "*\.pyc"|xargs rm -f
.PHONY: clean-pycache

clean-install:
	@echo ""
	@echo "==== Clear installation ===="
	@echo ""
	rm -Rf $(VENV_PATH)
	rm -Rf .tox
	rm -Rf crispy_forms_foundation.egg-info
.PHONY: clean-install

clean-doc:
	@echo ""
	@echo "==== Clear documentation ===="
	@echo ""
	rm -Rf docs/_build
.PHONY: clean-doc

clean-data:
	@echo ""
	@echo "==== Clear sandbox data ===="
	@echo ""
	rm -Rf data
.PHONY: clean-data

clean: clean-doc clean-install clean-pycache clean-data
.PHONY: clean

venv:
	@echo ""
	@echo "==== Install virtual environment ===="
	@echo ""
	virtualenv -p $(PYTHON_INTERPRETER) $(VENV_PATH)
	# This is required for those ones using ubuntu<16.04
	$(PIP) install --upgrade pip
	$(PIP) install --upgrade setuptools
.PHONY: venv

migrate:
	@echo ""
	@echo "==== Apply pending migrations ===="
	@echo ""
	mkdir -p data/db
	$(DJANGO_MANAGE) migrate
.PHONY: migrate

shell:
	@echo ""
	@echo "==== Running Django shell ===="
	@echo ""
	$(DJANGO_MANAGE) shell
.PHONY: shell

superuser:
	@echo ""
	@echo "==== Create new superuser ===="
	@echo ""
	$(DJANGO_MANAGE) createsuperuser
.PHONY: superuser

install: venv
	@echo ""
	@echo "==== Install everything for development ===="
	@echo ""
	mkdir -p data
	$(PIP) install -e .[dev,test,quality,doc]
	${MAKE} migrate
.PHONY: install

docs:
	@echo ""
	@echo "==== Build documentation ===="
	@echo ""
	cd docs && make html
.PHONY: docs

livedocs:
	@echo ""
	@echo "==== Watching documentation sources ===="
	@echo ""
	$(SPHINX_RELOAD)
.PHONY: livedocs

run:
	@echo ""
	@echo "==== Running development server ===="
	@echo ""
	$(DJANGO_MANAGE) runserver 0.0.0.0:8001
.PHONY: run

flake:
	@echo ""
	@echo "==== Flake ===="
	@echo ""
	$(FLAKE) --show-source crispy_forms_foundation tests
.PHONY: flake

test:
	@echo ""
	@echo "==== Tests ===="
	@echo ""
	$(PYTEST) -vv tests/
.PHONY: test

build-package:
	@echo ""
	@echo "==== Build package ===="
	@echo ""
	rm -Rf dist
	$(VENV_PATH)/bin/python setup.py sdist
.PHONY: build-package

release: build-package
	@echo ""
	@echo "==== Release ===="
	@echo ""
	$(TWINE) upload dist/*
.PHONY: release

check-release: build-package
	@echo ""
	@echo "==== Check package ===="
	@echo ""
	$(TWINE) check dist/*
.PHONY: check-release

tox:
	@echo ""
	@echo "==== Launch all Tox environments ===="
	@echo ""
	$(TOX)
.PHONY: tox

quality: test flake docs check-release
	@echo ""
	@echo "♥ ♥ Everything should be fine ♥ ♥"
	@echo ""
.PHONY: quality

=== debian/changelog ===
python-django-crispy-forms-foundation (0.9.0+ds-1) unstable; urgency=medium

  * [264d084] d/gbp.conf: More specific upstream data exclusion
    Do not exclude the complete sandbox folder, the content is needed for
    running the upstream test suite.
  * [c5b7854] New upstream version 0.9.0+ds
  * [a508f40] d/watch: Add repacksuffix to opts variable
  * [53f1372] d/copyright: Update year data, adjust base data
  * [e202f25] d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * [934286d] d/{control,rules}: Move over to dh-sequence-python3
  * [72d354e] d/control: Add needed pytest packages to Build-Depends
  * [a8b4f38] d/rules: Run the internal tests while package build
  * [bd198bf] d/rules: Remove extra license file after install
  * [1f1fcfc] autopkgtest: Add first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Oct 2022 19:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-django-crispy-forms,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
 Homepage: https://github.com/sveetch/crispy-forms-foundation

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,10 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-crispy-forms-foundation
-export PYBUILD_DISABLE=test
-export PYBUILD_SYSTEM=distutils
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/crispy_forms_foundation-*.dist-info/LICENCE.txt
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -21,3 +20,8 @@
 override_dh_auto_clean:
 	rm -rf docs/.build
 	dh_auto_clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m pytest tests -v
+endif

=== debian/watch ===
# watch file for crispy-forms-foundation

version=4

opts="mode=git, \
      repacksuffix=+ds, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-crispy-forms-foundation-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/sveetch/crispy-forms-foundation.git \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## python-django-crispy-forms-foundation 1.0.2+ds

=== Makefile ===
--- 
+++ 
@@ -146,6 +146,13 @@
 	$(PYTEST) -vv tests/
 .PHONY: test
 
+freeze-dependencies:
+	@echo ""
+	@echo "==== Freezing backend dependencies versions ===="
+	@echo ""
+	$(VENV_PATH)/bin/python freezer.py
+.PHONY: freeze-dependencies
+
 build-package:
 	@echo ""
 	@echo "==== Build package ===="
@@ -175,7 +182,7 @@
 	$(TOX)
 .PHONY: tox
 
-quality: test flake docs check-release
+quality: test flake docs check-release freeze-dependencies
 	@echo ""
 	@echo "♥ ♥ Everything should be fine ♥ ♥"
 	@echo ""

=== debian/changelog ===
python-django-crispy-forms-foundation (1.0.2+ds-1) unstable; urgency=medium

  * [001fec7] d/watch: Add compression=gz
  * [e454ef1] New upstream version 1.0.2+ds
  * [eadf11f] d/copyright: Update year data
  * [090b4b3] d/control: Bump Standards-Version to 4.6.2
  * [e8d657a] d/control: Add BuildProfileSpecs
  * [21c8ccc] d/control: Add dh-sequence-sphinxdoc to B-D
  * [741755e] d/rules: Drop --with option from default target
  * [20a3703] d/control: Depend on python3-django-crispy-forms >= 2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Feb 2024 08:22:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
 Build-Depends-Indep:
- dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-django-crispy-forms,
- python3-pytest,
- python3-pytest-django,
+ python3-django-crispy-forms <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-django <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
 Homepage: https://github.com/sveetch/crispy-forms-foundation
@@ -25,8 +26,7 @@
 Package: python3-django-crispy-forms-foundation
 Architecture: all
 Depends:
- python3-django,
- python3-setuptools,
+ python3-django-crispy-forms (>= 2.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-django-crispy-forms-foundation 1.1.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 PYTHON_INTERPRETER=python3
 VENV_PATH=.venv
 PIP=$(VENV_PATH)/bin/pip
-DJANGO_MANAGE=$(VENV_PATH)/bin/python sandbox/manage.py
+DJANGO_MANAGE=$(VENV_PATH)/bin/python ./manage.py
 FLAKE=$(VENV_PATH)/bin/flake8
-SPHINX_RELOAD=$(VENV_PATH)/bin/python sphinx_reload.py
+SPHINX_RELOAD=$(VENV_PATH)/bin/python ./docs/sphinx_reload.py
 PYTEST=$(VENV_PATH)/bin/pytest
 TOX=$(VENV_PATH)/bin/tox
 TWINE=$(VENV_PATH)/bin/twine
@@ -27,7 +27,8 @@
 	@echo "  docs                -- to build documentation"
 	@echo
 	@echo "  flake               -- to launch Flake8 checking"
-	@echo "  test               -- to launch tests using Pytest"
+	@echo "  test                -- to launch test suite using Pytest"
+	@echo "  test-initial        -- to launch test suite using Pytest with re-initialized database"
 	@echo "  tox                 -- to launch tests for every Tox environments"
 	@echo "  quality             -- to launch Flake8 checking and Pytest"
 	@echo
@@ -75,9 +76,6 @@
 	@echo "==== Install virtual environment ===="
 	@echo ""
 	virtualenv -p $(PYTHON_INTERPRETER) $(VENV_PATH)
-	# This is required for those ones using ubuntu<16.04
-	$(PIP) install --upgrade pip
-	$(PIP) install --upgrade setuptools
 .PHONY: venv
 
 migrate:
@@ -107,7 +105,7 @@
 	@echo "==== Install everything for development ===="
 	@echo ""
 	mkdir -p data
-	$(PIP) install -e .[dev,test,quality,doc]
+	$(PIP) install -e .[sandbox,dev,quality,doc,doc-live,release]
 	${MAKE} migrate
 .PHONY: install
 
@@ -136,21 +134,28 @@
 	@echo ""
 	@echo "==== Flake ===="
 	@echo ""
-	$(FLAKE) --show-source crispy_forms_foundation tests
+	$(FLAKE) --statistics --show-source crispy_forms_foundation tests
 .PHONY: flake
 
 test:
 	@echo ""
 	@echo "==== Tests ===="
 	@echo ""
-	$(PYTEST) -vv tests/
+	$(PYTEST) -vv --reuse-db tests/
 .PHONY: test
+
+test-initial:
+	@echo ""
+	@echo "==== Tests from zero ===="
+	@echo ""
+	$(PYTEST) -vv --reuse-db --create-db tests/
+.PHONY: test-initial
 
 freeze-dependencies:
 	@echo ""
 	@echo "==== Freezing backend dependencies versions ===="
 	@echo ""
-	$(VENV_PATH)/bin/python freezer.py
+	$(VENV_PATH)/bin/python freezer.py crispy-forms-foundation --destination=frozen.txt
 .PHONY: freeze-dependencies
 
 build-package:

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#
VENV_PATH=../.venv

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= $(VENV_PATH)/bin/sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
crispy-forms-foundation

=== debian/changelog ===
python-django-crispy-forms-foundation (1.1.0+ds-3) unstable; urgency=medium

  * Team upload.
  * [8b7525c] d/control: Drop <!nocheck> from python3-django-crispy-forms.
    Closes: #1116853.
  * [74e28b5] d/salsa-ci.yml: Add file.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 01:10:00 +0200

python-django-crispy-forms-foundation (1.1.0+ds-2) unstable; urgency=medium

  * [cf3419d] d/watch: Convert to version 5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Aug 2025 15:54:33 +0200

python-django-crispy-forms-foundation (1.1.0+ds-1) unstable; urgency=medium

  * [11fdabf] New upstream version 1.1.0+ds
  * [02b7d31] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [e161ae2] d/control: Remove Rules-Requires-Root
    That's now the default.
  * [512dd78] d/control: Adjust build dependencies
  * [5d13504] d/copyright: Update year data
  * [6ed95aa] d/control: Reorder and adjust package descriptions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Aug 2025 14:58:17 +0200

=== debian/control ===
Source: python-django-crispy-forms-foundation
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
Build-Depends-Indep:
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-django-crispy-forms,
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
Homepage: https://github.com/sveetch/crispy-forms-foundation

Package: python-django-crispy-forms-foundation-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django-crispy-forms layout objects for Foundation for sites (Documentation)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Tailwind, Bulma and Foundation. You can also
 easily adapt your custom company's one, creating your own, see the docs for
 more information. You can easily switch among them using
 CRISPY_TEMPLATE_PACK setting variable.
 .
 This package contains the documentation.

Package: python3-django-crispy-forms-foundation
Architecture: all
Depends:
 python3-django-crispy-forms (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-crispy-forms-foundation-doc,
Description: Django-crispy-forms layout objects for Foundation for sites (Python3 version)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Tailwind, Bulma and Foundation. You can also
 easily adapt your custom company's one, creating your own, see the docs for
 more information. You can easily switch among them using
 CRISPY_TEMPLATE_PACK setting variable.
 .
 This package contains the Python 3 version of the library.

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/sveetch/crispy-forms-foundation.git
Matching-Pattern: refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Repacksuffix: +ds
